@import url('https://fonts.googleapis.com/css?family=Oswald:400,700');
@import url('https://fonts.googleapis.com/css?family=Montserrat:400,800');
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css");

* {
	margin: 0;
	scroll-behavior: smooth;
}

html {
	margin: 0;
}


/********************Top Nav********************/
	.topNav {
		background-color: rgba(102, 153, 153, 0.700);
		overflow: hidden;
		font-family: 'Oswald', sans-serif;
		width: 100%;
		margin: 0;
	}

	.topNav a{
		float: left;
		font-size: 16px;
		color: #f0f5f5;
		text-align: center;
		padding: 14px 16px;
		text-decoration: none;
	}

	.topNav a:hover {
		color: #ffffff;
	}

	.topNav a.active {
		font-weight: bold;
	}

	.topNav b{
		float: left;
		font-size: 16px;
		color: #f0f5f5;
		text-align: center;
		padding: 14px 16px;
		text-decoration: none;
		font-weight: bold;
	}
/********************End Top Nav********************/

.introduction {
	font-family: 'Oswald', sans-serif;
	margin-left: 100px;
	left: 10%;
	-webkit-column-count: 3;
	column-count: 3;
}

/********************Parallax Background********************/
	.bgimg-1, .bgimg-2{
		position: relative;
		background-attachment: fixed;
		background-position: center;
		background-repeat: no-repeat;
		background-size: cover;
		overflow-x: hidden;
	}

	.bgimg-1 {
		background-image: url(Content/ChibiSpiderGwen.png);
		height: 100%;
	}

	.bgimg-2 {
		background-image: url(Content/MenuAnimationImage.png);
		height: 100%;
	}
/********************End Parallax Background********************/

.caption {
	font-family: 'Oswald', sans-serif;
	position: relative;
	left: 5%;
	top: 25%;
	width: 100%;
	text-align: left;
	color: #ffffff;
}

.caption span.border {
	font-size: 36px;
}

.large-content-holder {
	font-family: 'Oswald', sans-serif;
	position: relative;
	left: 5%;
	top: 2%;
	width: 95%;
	text-align: left;
	color: #000000;
}

.large-content-holder span.border{
	font-size: 36px;
}

/********************Content Filter Bar********************/
	.content-filter {
		background-color: white;
		padding: 10px;
	}

	.content-filter-button {
		border: none;
		outline: none;
		padding: 12px 16px;
		background-color: white;
		cursor: pointer;
		margin-bottom: 16px;
	}

	.content-filter-button:hover {
		background-color: rgba(102, 153, 153, 0.500);
	}

	.content-filter-button.filtered {
		background-color: rgba(102, 153, 153, 0.700);	
		color: white;
	}
/********************End Content Filter Bar********************/

/********************Columns********************/
	.column {
		float: left;
		width: 23.3%;
		margin-bottom: 16px;
		padding: 0 8px;
		display: none;
	}

	.slideshow-column {
		float: left;
		width: 63.3%;
		margin-bottom: 16px;
		padding: 0 8px;
		display: none;
	}

	/** Display the columns blow each other on small screens **/
	@media screen and (max-width: 650px) {
		.column {
			width: 100px;
			display: block;
		}
	}

	@media screen and (max-width: 650px) {
		.slideshow-column {
			width: 100px;
			display: block;
		}
	}
	/** Column Shadows **/
	.card {
		background-color: #f0f5f5;
		box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
	}

	.show {
		display: block;
	}

	/** Some left and right padding within the column container **/
	.container {
		padding: 16px 16px 16px;
	}

	/** Clear floats **/
	.container::after, .row::after {
		content: "";
		clear: both;
		display: table;
	}

	.column-title {
		color: grey;
	}

	.column-button {
		border: none;
		outline: 0;
		display: inline-block;
		padding: 8px;
		color: white;
		background-color: #000;
		text-align: enter;
		cursor: pointer;
		width: 100%;
	}

	.column-button:hover {
		background-color: royalblue;
	}

	.column h2 {
		font-size: 18px;	
	}

	.column p {
		font-size: 12px;
		color: black;
	}
/********************End-Columns********************/

/********************Overlay Image********************/
	.overlayimage-container {
		position: relative;
		cursor: pointer;
	}

	.overlayimage {
		display: block;
		width: 100%;
		height: 175px;
	}

	.overlayimage-container:hover .overlay {
		opacity: 1;
	}

	.overlay {
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		height: 100%;
		width: 100%;
		opacity: 0;
		transition: .5s ease;
		background-color: #008CBA;
	}

	.text {
		color: white;
		font-size: 20px;
		position: absolute;
		top: 50%;
		left: 50%;
		-webkit-transform: translate(-50%, -50%);
		-ms-transform: translate(-50%, -50%);
		transform: translate(-50%, -50%);
		text-align: center;
	}
/********************End Overlay Image********************/

/********************Slideshow Previewer********************/
	.slideshow-container {
		max-width: 1000px;
		position: relative;
		margin: auto;
		display: block;
		font-family: 'Oswald', sans-serif;
	}

	/*Hide slides by deafult*/
	.mySlides {
		display: none;
	}

	.prev, .next {
		cursor: pointer;
		position: absolute;
		top: 50%;
		width: auto;
		margin-top: -22px;
		padding: 16px;
		color: white;
		font-weight: bold;
		font-size: 18px;
		transition: 0.6s ease;
		border-radius: 0 3px 3px 0;
		user-select: none;
	}

	.next {
		right: 0;
		border-radius: 3px 0 0 3px;
	}

	.prev:hover, .next:hover {
		background-color: rgba(0,0,0,0.8);
	  }
	  
	.slideshow-caption {
		color: #f2f2f2;
		font-size: 15px;
		padding: 8px 12px;
		position: absolute;
		bottom: 8px;
		width: 100%;
		text-align: center;
	}

	.slideshow-numbertext {
		color: #f2f2f2;
		font-size: 24px;
		padding: 8px 12px;
		position: absolute;
		top: 0;
	}

	.dot {
		cursor: pointer;
		height: 30px;
		width: 30px;
		margin: 10px 2px;
		background-color: #bbb;
		border-radius: 50%;
		display: inline-block;
		transition: background-color 0.6s ease;
	}

	.dot-active, .dot:hover {
		background-color: #717171;
	}

	/*Fading animation*/
	.fade {
		-webkit-animation-name: fade;
		-webkit-animation-duration: 1.5s;
		animation-name: fade;
		animation-duration: 1.5s;
	}

	@-webkit-keyframes fade {
		from {opacity: .4}
		to {opacity: 1}
	}

	@keyframes fade {
		from {opacity: .4}
		to {opacity: 1}
	}

	.slideshow-image {
		display: block;
		width: 100%;
		max-height: 450px;
	}

	.slideshow-video {
		display: block;
		width: 100%;
		max-height: 450px;
	}
/********************End Slideshow Previewer********************/


.button:hover {
	background-color: #555;
}

.grid-container {
	display: grid;
	font-family: 'Oswald', sans-serif;
	grid: 150px / auto auto;
	grid-gap: 25px;
	padding-left: 15%;
	padding-top: 10%;
	overflow-x: hidden;
}

.subgrid-container {
	display: grid;
	font-family: 'Oswald', sans-serif;
	grid: 150px / auto auto auto auto;
	grid-gap: 10px;
	overflow-x: hidden;
	font-size: 16px;
}

.grid-container > div {
	width: 90%;
}

.subgrid-container > div {
	width: 90%;
}

.item1 {
	text-align: left;
}

.item2 {
	text-align: left;
	font-size: 14px;
}

.fa {
	font-size: 35px;
	width: 50px;
	text-align: left;
	text-decoration: none;
	margin: 5px 3px;
}

.fa:hover {
	opacity: 0.7;
}

.fa-linkedin {
	color: white;
}

.fa-github {
	color: white;
}

.fa-google {
	color: white;
}

.fa-download {
	font-size: 12px;
	width: 15px;
}

.fa-eye {
	font-size: 12px;
	width: 15px;
}